<?php

namespace Drupal\stacked_permissions\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Link;
use Drupal\Core\Url;

class StackedPermissionsAdminController extends ControllerBase {

    /**
     * Returns an admin page with links to manage permissions and groups.
     */
    public function adminPage() {
        $items = [];

        $items[] = [
            'title' => Link::fromTextAndUrl($this->t('Allowed Permissions'), Url::fromRoute('stacked_permissions.allowed_permissions'))->toString(),
            'description' => $this->t('Configure which permissions are available for assignment to permission groups.'),
        ];

        $items[] = [
            'title' => Link::fromTextAndUrl($this->t('Permission Group List'), Url::fromRoute('entity.permission_group.collection'))->toString(),
            'description' => $this->t('View and manage all permission groups.'),
        ];

        $items[] = [
            'title' => Link::fromTextAndUrl($this->t('Add Permission Group'), Url::fromRoute('entity.permission_group.add_form'))->toString(),
            'description' => $this->t('Create a new permission group.'),
        ];

        return [
            '#theme' => 'stacked_permissions_admin_page',
            '#title' => $this->t('Stacked Permissions Administration'),
            '#items' => $items,
        ];
    }
}
