<?php

namespace Drupal\stacked_permissions\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

class PermissionGroupAddForm extends ContentEntityForm {

    public function save(array $form, FormStateInterface $form_state) {
        $entity = $this->getEntity();
        $status = parent::save($form, $form_state);

        switch ($status) {
            default:
                $this->messenger()->addMessage($this->t('Updated the %label permission group.', ['%label' => $entity->label()]));
                break;
        }

        // Redirect to the canonical page for the new entity.
        $form_state->setRedirect('entity.permission_group.canonical', ['permission_group' => $entity->id()]);
        return $status;
    }
}