<?php

namespace Drupal\stacked_permissions;

use Drupal\Core\Entity\EntityAccessControlHandler;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Session\AccountInterface;

class PermissionGroupMembershipAccessControlHandler extends EntityAccessControlHandler {

    protected function checkAccess(EntityInterface $entity, $operation, AccountInterface $account) {
        switch ($operation) {
            case 'edit':
            case 'delete':
            case 'view':
                return AccessResult::allowedIfHasPermission($account, 'edit permission group');

        }
        return AccessResult::neutral();
    }

    protected function checkCreateAccess(AccountInterface $account, array $context, $entity_bundle = NULL) {
        return AccessResult::allowedIfHasPermission($account, 'edit permission group');
    }
}
