<?php

namespace Drupal\stacked_permissions;

use Drupal\views\EntityViewsData;
use Drupal\views\EntityViewsDataInterface;

/**
 * Provides views data for PermissionGroupMembership entity.
 */
class PermissionGroupMembershipViewsData extends EntityViewsData implements EntityViewsDataInterface {

    public function getViewsData() {
        $data = parent::getViewsData();

        // Define a relationship from membership → permission group
        $data['permission_group_membership']['group_id'] = [
            'title' => t('Permission Group'),
            'help' => t('The related permission group.'),
            'relationship' => [
                'base' => 'permission_group',
                'base field' => 'id',
                'relationship field' => 'group_id',
                'id' => 'standard',
                'field_name' => 'group_id',
                'field table' => 'permission_group',
            ],
        ];

        // Define a relationship from membership → user
        $data['permission_group_membership']['user_id'] = [
            'title' => t('User'),
            'help' => t('The user who is a member of the group.'),
            'relationship' => [
                'base' => 'users_field_data',
                'base field' => 'uid',
                'relationship field' => 'user_id',
                'id' => 'standard',
            ],
        ];

        return $data;
    }
}

///**
// * Provides the Views data for the Permission Group Membership entity.
// */
//class PermissionGroupMembershipViewsData extends EntityViewsData implements EntityViewsDataInterface {
//
//    /**
//     * {@inheritdoc}
//     */
//    public function getViewsData() {
//        $data = parent::getViewsData();
//
//        // You can customize field labels, filters, relationships here if needed.
//        // For example:
//        $data['permission_group_membership']['user_id']['filter']['title'] = t('User');
//        $data['permission_group_membership']['group_id']['filter']['title'] = t('Permission Group');
//
//        return $data;
//    }
//}
